pub(crate) fn arch_local_irq_enable() {
    unreachable!()
}

pub(crate) fn arch_local_irq_disable() {
    unreachable!()
}

pub(crate) fn arch_local_irq_save() -> usize {
    unreachable!()
}

pub(crate) fn arch_local_irq_restore(_: usize) {
    unreachable!()
}

pub(crate) fn arch_local_save_flags() -> usize {
    unreachable!()
}

pub(crate) fn arch_irqs_disabled() -> bool {
    unreachable!()
}

pub(crate) fn arch_irqs_disabled_flags(_: usize) -> bool {
    unreachable!()
}

pub(crate) fn arch_local_daif_mask() {
    unreachable!()
}
